<mat-stepper linear #stepper>
    <mat-step [completed]="!!pdfCover" editable>
        <ng-template matStepLabel>Scegli Cover</ng-template>
        <div class="step-container">
            <mat-icon class="icon-size" *ngIf="pdfCover">description</mat-icon>
            <mat-card>
                {{coverName || "Scegli Cover"}}
                <input type="file" class="file-input" (change)="onFileSelected($event,'cover')" #coverUpload hidden
                    accept=".pdf,.p7m">
                <button mat-mini-fab color="primary" (click)="coverUpload.click()">
                    <mat-icon>attach_file</mat-icon>
                </button>
                <span style="margin-left: 20px;"><button mat-raised-button color="warn" (click)="resetCover()"
                        [disabled]="!pdfCover">Reset</button></span>
            </mat-card>
            <div class="nextButton">
                <button mat-raised-button color="primary" matStepperNext [disabled]="!pdfCover">Next
                    <mat-icon>navigate_next</mat-icon>
                </button>
            </div>
        </div>
    </mat-step>
    <mat-step [completed]="names.length>0 || this.logo" editable>
        <ng-template matStepLabel>Inserisci nome o logo broker</ng-template>
        <div class="flex-container">
            <div style="width: 30%;" class="step-container">
                <mat-icon class="icon-size" *ngIf="pdfCover">description</mat-icon>
                <div style="margin-bottom: 30px;">
                    <mat-form-field appearance="fill">
                        <mat-label>Seleziona Nome o Logo...</mat-label>
                        <mat-select [(value)]="selectedOption" (valueChange)="selectChanges()">
                            <mat-option value="Nome">Nome</mat-option>
                            <mat-option value="Logo">Logo</mat-option>
                        </mat-select>
                    </mat-form-field>
                    <div *ngIf="selectedOption === 'Nome'">
                        <mat-form-field appearance="fill">
                            <mat-label>Nome</mat-label>
                            <input [formControl]="name" matInput placeholder="Nome" required>
                        </mat-form-field>
                        <div>
                            <button mat-raised-button (click)="addName()">
                                <mat-icon>add</mat-icon>Nome
                            </button>
                        </div>
                    </div>
                </div>
                <mat-card *ngIf="selectedOption=== 'Logo'">
                    {{logoName || "Scegli Logo"}}
                    <input type="file" class="file-input" (change)="onLogoSelected($event)" #logoUpload hidden
                        accept="image/*">
                    <button mat-mini-fab color="primary" (click)="logoUpload.click()">
                        <mat-icon>attach_file</mat-icon>
                    </button>
                    <span style="margin-left: 20px;"><button mat-raised-button color="warn" (click)="resetLogo()"
                            [disabled]="!logo">Reset</button></span>
                   <div style="margin-top: 30px;"><img class="logo" alt="" *ngIf="logo" [src]="logo"></div> 
                </mat-card>
                <div class="nextButton">
                    <button mat-raised-button color="primary" style="margin-right: 30px;" matStepperPrevious>
                        <mat-icon>navigate_before</mat-icon>Prev
                    </button>
                    <button mat-raised-button color="primary" matStepperNext [disabled]="names.length==0 && !logo"
                        (click)="modifyPdf()">
                        Next <mat-icon>navigate_next</mat-icon>
                    </button>
                </div>
            </div>
            <div>
                <mat-chip-list class="mat-chip-list-stacked">
                    <mat-chip *ngFor="let name of names" selected (removed)="removeName(name)" color="basic">
                        <span class="small">{{name}}</span>
                        <button matChipRemove>
                            <mat-icon>cancel</mat-icon>
                        </button>
                    </mat-chip>
                </mat-chip-list>
            </div>
        </div>
    </mat-step>
    <mat-step [completed]="coverIsEdited" editable>
        <div class="step-container">
            <ng-template matStepLabel>Mostra cover</ng-template>
            <mat-card>
                <button mat-raised-button color="accent" (click)="showCover()">mostra cover</button>
                <!-- <button mat-raised-button color="warn" (click)="downloadZip()" style="margin-left:20px">download zip</button> -->
            </mat-card>
            <div class="nextButton">
                <button mat-raised-button color="primary" style="margin-right: 30px;" matStepperPrevious>
                    <mat-icon>navigate_before</mat-icon>Prev
                </button>
                <button mat-raised-button color="primary" matStepperNext [disabled]="!coverIsEdited">Next
                    <mat-icon>navigate_next</mat-icon>
                </button>
            </div>
        </div>
    </mat-step>
    <mat-step [completed]="pdfContent" editable>
        <ng-template matStepLabel>Scegli Contenuto</ng-template>
        <div class="step-container">
            <mat-icon class="icon-size" *ngIf="pdfContent">description</mat-icon>
            <mat-card>
                {{contentName || "Scegli Contenuto"}}
                <input type="file" class="file-input" (change)="onFileSelected($event,'content')" #contentUpload hidden
                    accept=".pdf,.p7m">
                <button mat-mini-fab color="primary" (click)="contentUpload.click()">
                    <mat-icon>attach_file</mat-icon>
                </button>
                <span style="margin-left: 20px;"><button mat-raised-button color="warn" (click)="resetContent()"
                        [disabled]="!pdfContent">Reset</button></span>
            </mat-card>
            <div class="nextButton">
                <button mat-raised-button color="primary" style="margin-right: 30px;" matStepperPrevious>
                    <mat-icon>navigate_before</mat-icon>Prev
                </button>
                <button mat-raised-button color="primary" matStepperNext [disabled]="!pdfContent">Next
                    <mat-icon>navigate_next</mat-icon>
                </button>
            </div>
        </div>
    </mat-step>
    <mat-step [completed]="pdfRetro" editable>
        <ng-template matStepLabel>Scegli Retro</ng-template>
        <div class="step-container">
            <mat-icon class="icon-size" *ngIf="pdfRetro">description</mat-icon>
            <mat-card>
                {{retroName || "Scegli Retro"}}
                <input type="file" class="file-input" (change)="onFileSelected($event,'retro')" #retroUpload hidden
                    accept=".pdf,.p7m">
                <button mat-mini-fab color="primary" class="upload-btn" (click)="retroUpload.click()">
                    <mat-icon>attach_file</mat-icon>
                </button>
                <span style="margin-left: 20px;"><button mat-raised-button color="warn" (click)="resetRetro()"
                        [disabled]="!pdfRetro">Reset</button></span>
            </mat-card>
            <div class="nextButton">
                <button mat-raised-button color="primary" style="margin-right: 30px;" matStepperPrevious>
                    <mat-icon>navigate_before</mat-icon>Prev
                </button>
                <button mat-raised-button color="primary" matStepperNext [disabled]="!pdfRetro">Next
                    <mat-icon>navigate_next</mat-icon>
                </button>
            </div>
        </div>
    </mat-step>
    <mat-step>
        <ng-template matStepLabel>Merge e scarica</ng-template>
        <p>Merge e scarica </p>
        <app-merge-pdf [coverPdfs]="pdfCovers" [contentPdf]="pdfContent" [retroPdf]="pdfRetro"
            [coverEdited]="coverIsEdited"></app-merge-pdf>
            <div>
                <!-- <app-pdf-zip></app-pdf-zip> -->
            </div>
        <div class="nextButton">
            <button mat-raised-button color="primary" style="margin-right: 30px;" matStepperPrevious>
                <mat-icon>navigate_before</mat-icon>Prev
            </button>
        </div>
    </mat-step>
</mat-stepper>
